package polaris.persistence;

/**
 * Persistence transaction
 * 
 * @author johnson
 * 
 */
public interface Transaction {

	/**
	 * Execute the transaction procedure
	 * 
	 * @param pm
	 *            {@link PersistenceManager}
	 * @throws PersistenceException
	 *             {@link PersistenceException}
	 */
	public void run(PersistenceManager pm) throws PersistenceException;

}
