package polaris.persistence;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class PersistenceManagerFactoryImpl extends PersistenceManagerFactory {

	@Override
	public PersistenceManager newPersistenceManager() {
		return new PersistenceManager() {

			@Override
			public <T> void update(T t) throws PersistenceException {
			}

			@Override
			public <T> void persist(T t) throws PersistenceException {
			}

			@Override
			public <T> T find(Class<T> clazz, Serializable id)
					throws PersistenceException {
				return null;
			}

			@Override
			public <T> List<T> fetch(Class<T> clazz) {
				return new ArrayList<T>(0);
			}

			@Override
			public void execute(Transaction transaction)
					throws PersistenceException {
			}

			@Override
			public <T> void delete(T t) throws PersistenceException {
			}
		};
	}

}
